summaryrefslogtreecommitdiff
path: root/sys-kernel/dracut-config-redcore
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-08-19 11:11:26 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-08-19 11:11:26 +0100
commit216cf5e5f1b2a119792d89b2c2754ddf292a3f34 (patch)
tree64c94f9e23831233416014e729374e1be824930d /sys-kernel/dracut-config-redcore
parent82276e3694d5e868740f176638f19dd81447e663 (diff)
sys-kernel/dracut-config-redcore : new package (split dracut redcore configuration in a separate package)
Diffstat (limited to 'sys-kernel/dracut-config-redcore')
-rw-r--r--sys-kernel/dracut-config-redcore/dracut-config-redcore-1708.ebuild30
-rw-r--r--sys-kernel/dracut-config-redcore/files/redcore-dracut.conf11
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-kernel/dracut-config-redcore/dracut-config-redcore-1708.ebuild b/sys-kernel/dracut-config-redcore/dracut-config-redcore-1708.ebuild
new file mode 100644
index 00000000..6a443c35
--- /dev/null
+++ b/sys-kernel/dracut-config-redcore/dracut-config-redcore-1708.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Redcore Linux GRUB configuration files"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="sys-boot/grub"
+
+S="${FILESDIR}"
+
+src_install() {
+ dodir "/etc/dracut.conf.d" || die
+ insinto "/etc/dracut.conf.d" || die
+ doins -r "${S}/"* || die
+}
+
+pkg_preinst() {
+ if [[ -f ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf" ]]; then
+ mv ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf" ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf.backup"
+ fi
+}
diff --git a/sys-kernel/dracut-config-redcore/files/redcore-dracut.conf b/sys-kernel/dracut-config-redcore/files/redcore-dracut.conf
new file mode 100644
index 00000000..7e1c53db
--- /dev/null
+++ b/sys-kernel/dracut-config-redcore/files/redcore-dracut.conf
@@ -0,0 +1,11 @@
+# Host-Only mode: Install only what is needed for booting the local host instead of a generic host and generate host-specific configuration.
+hostonly="yes"
+
+# Combine early microcode with ramdisk. Uncomment the line bellow, and run "dracut -f" if you want early microcode update.
+early_microcode="yes"
+
+# Dracut modules to add when building the iniframfs
+add_dracutmodules+=" drm "
+
+# Dracut modules to ommit when building the initramfs.
+omit_dracutmodules+=" plymouth systemd systemd-initrd systemd-networkd dracut-systemd "